#ifndef ALIENMODEL_H
#define ALIENMODEL_H

#include <QAbstractListModel>
#include <QIcon>
#include "../loader.h"

class AlienModel : public QAbstractListModel
{
	Q_OBJECT
public:
	explicit AlienModel(QList<tbAlien> aliens, QObject *parent = 0);
	int rowCount(const QModelIndex &parent = QModelIndex()) const;
	QVariant data(const QModelIndex &index, int role) const;
	void refresh(QList<tbAlien> aliens);
signals:

public slots:

private:
	QList<tbAlien> aliens;
};

#endif // ALIENMODEL_H
